Subject: Re: [RFC] sysfs + configfs on 802.11 wireless drivers

From: Michael Wu <[email-masked]>
Date: Thu, 22 Jun 2006 09:44:59 -0700

On Thursday 22 June 2006 05:12, Luis R. Rodriguez wrote:
> (3) On resume() talk to userspace via netlink to read our sysfs and
> configfs us
>
I think that's fairly overkill. I really do not like the idea of requiring any 
more userspace involvement in the suspend process than needed. At least for 
ADM8211, all the data needed to restore the card properly is already stored 
somewhere for userspace (iwconfig) to query, so I don't understand how this 
is suppose to reduce bloat. All the data that is needed should already be 
stored in the driver to support configuring the interface before taking the 
interface up.

-Michael Wu